Bug 42037 - booting installer with linux lba32 crashes at disk druid
booting installer with linux lba32 crashes at disk druid
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-23 17:56 EDT by Johnray Fuller
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-23 18:06:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnray Fuller 2001-05-23 17:56:33 EDT
Description of Problem:

Using Disk Druid, one cannot create a /boot partiton over the 1024 limit...
This also means that if you don not create a /boot partition and only
create a / partition, the / partition will not be created either....

This is great if your bios doesn't support LBA32. But the guy who called
did have a bios which supports LBA32. 

I had him boot  his laptop with:

linux lba32

Once booted with this flag he attempted to create a / partition, it warned
him of the 1024 limit and told him the partition would not be allocated (as
before). Only once you click "OK," the installer crashes immediately.


How Reproducible:

I was able to duplicate the error no problem on a desktop IBM Netfinity...

Steps to Reproduce:
1.boot w/ linux lba32
2. made a / partition over 1024 cylinder
3. Installer goes down, down, down...

Actual Results:

Installer crash...

Expected Results:

I was hoping ot be able to install a /boot aprttion over the 1024 cylinder
limit with disk druid...

Additional Information:
This was an X based install...

I am goinfg to try and get the costomer to add to the bug report.
Comment 1 Brent Fox 2001-05-29 15:02:57 EDT
From the 7.1 Release notes:


LBA32 Support ? There is now support for the LBA32 option in LILO. This makes it
possible to boot from partitions partially or completely above cylinder 1024
(which had been a historical limitation). Note, however, that we have found that
not all motherboards support this option, even when the BIOS claims support is
available. Therefore, this option is disabled by default. Note also that this
option is available ONLY when a partition has been created using fdisk, and that
partition is then chosen as the /boot or / partition. The fdisk restriction is
necessary as it is not possible to create a bootable partition above cylinder
1024 using Disk Druid.

Note You need to log in before you can comment on or make changes to this bug.